Skip to content
Navigation

Pages the store's product reviews.

GET
https://api.sherpo.io/merchant/v1/stores/{store}/products/{product}/reviews

Authorization

  • bearer
    HTTP
    required

Path parameters

  • store
    string
    required

    The store's id.

  • product
    string
    required

    An id, or slug:<slug>.

    minLength: 1

Query parameters

  • filter
    optional
    object

    filter[<field>]=<value> is an equality, filter[<field>][<op>]=<value> names the operator; in repeats the parameter.

  • sort
    optional
    created
    or
    rating
  • direction
    optional
    asc
    or
    desc
  • limit
    optional
    integer
    maximum: 100 · minimum: 1
  • cursor
    optional
    string
    maxLength: 8192
  • count
    optional
    boolean
  • search
    optional
    string
    maxLength: 200 · minLength: 1
  • facets
    optional
    array of
    string

Returns

200

Pages the store's product reviews.

JSON
  • items
    array of
    object
    required
    • product
      required

      One of the following:

      • object
      • null
    • customer
      required

      One of the following:

      • object
      • null
    • id
      string
      required
    • product_id
      string
      required
    • customer_id
      string
      required
    • order_item_id
      required

      One of the following:

      • string
      • null
    • rating
      number
      required
    • username
      required

      One of the following:

      • string
      • null
    • notes
      required

      One of the following:

      • string
      • null
    • reply
      required

      One of the following:

      • string
      • null
    • replied_at
      required

      One of the following:

      • string
      • null
    • hidden_at
      required

      One of the following:

      • string
      • null
    • created_at
      required

      One of the following:

      • string
      • null
    • updated_at
      required

      When the customer last edited it; null until they do.

      One of the following:

      • string
      • null
  • cursor
    required

    One of the following:

    • string
    • null
  • total
    optional
    number
  • facets
    optional
    map of
    map<number>
JSON
  • type
    string
    required
    format: uri
  • title
    string
    required
  • status
    integer
    required
  • detail
    string
    required
  • code
    optional
    string
  • context
    optional
    object
  • reached_core
    optional
    boolean
  • core_answer
    optional
    string

Type to search…

↑↓ navigate↵ selectEsc close